Subject: Re: [SWIPL] type checking / inference for SWI

From: "Richard A. O'Keefe" <[email-masked]>
Date: Fri, 23 Mar 2001 10:27:38 +1200 (NZST)

is there any implementation of the Mycroft/O'Keefe type inference which
	works for (full) SWI?

Not from me.

	Or any other good type checker / inference system?

	Do these beasts handle all the nasty stuff as =.. and call?
	
The Mycroft/O'Keefe type checker handles call/N with amazing ease.
In fact call/N for N > 1 was invented precisely for the sake of the
Mycroft/O'Keefe type checker, as being far easier to check than apply/2.

(=..)/2, functor/3, and arg/3, however, it does not handle, except basically
by ignoring them, other than checking that N in functor(_,_,N) and
arg(N,_,_) are integers.